Skip to main content

Get Risk Unit Force Liquidation Record(USER_DATA)

API Description

Get Institution Loan Risk Unit Force Liquidation Record. This endpoint is accessible only with the credit account API key.

HTTP Request

GET /sapi/v1/margin/loan-group/force-liquidation

Request Weight

1(IP)

Request Parameters

NameTypeMandatoryDescription
groupIdLONGNORisk unit unique identifier
startTimeLONGNO
endTimeLONGNO
currentLONGNOThe currently querying page. Start from 1. Default:1
sizeLONGNODefault:10 Max:100
recvWindowLONGNOThe value cannot be greater than 60000
timestampLONGYES
  • Credit account may query currently activated and closed risk unit based on the parameter groupId. If groupId is empty, only currently activated risk units will be returned.
  • Responses are returned in descending order.
  • If startTime and endTime are not provided, data from the last 7 days will be returned by default.
  • If startTime is omitted, it defaults to endTime minus 7 days.
  • If endTime is omitted, it defaults to the current time.
  • The time span between startTime and endTime must not exceed 100 days; otherwise, an error will be returned with no records.

Response Example

{
"total": 2,
"rows": [
{
"groupId": 6,
"startLtv": 1,
"endLtv": 0,
"liquidationStartTime": 1748381716906,
"liquidationEndTime": 1748525848742,
"totalNetEquity": 16671.5507973,
"totalMaintenanceMargin": 0,
"totalLiability": 16667.926,
"liquidationSnapshot": {
"snapshots": [
{
"subEmail": "1000255973134@test.com",
"memberType": "CREDIT",
"walletType": "PORTFOLIO_MARGIN",
"netEquity": "12671.05079731",
"maintainMargin": "0E-8"
},
{
"subEmail": "1000255973134@test.com",
"memberType": "CREDIT",
"walletType": "SPOT",
"netEquity": "0E-8",
"maintainMargin": "0E-8"
},
{
"subEmail": "1000255973138@test.com",
"memberType": "COLLATERAL",
"walletType": "PORTFOLIO_MARGIN",
"netEquity": "1000.25333000",
"maintainMargin": "0E-8"
},
{
"subEmail": "1000255973137@test.com",
"memberType": "COLLATERAL",
"walletType": "PORTFOLIO_MARGIN",
"netEquity": "1000.24667000",
"maintainMargin": "0E-8"
},
{
"subEmail": "1000255973135@test.com",
"memberType": "COLLATERAL",
"walletType": "CROSS_MARGIN",
"netEquity": "1000.00000000",
"maintainMargin": "0E-8"
},
{
"subEmail": "1000255973136@test.com",
"memberType": "COLLATERAL",
"walletType": "CROSS_MARGIN",
"netEquity": "1000.00000000",
"maintainMargin": "0E-8"
}
],
"liabilities":
{"assetName": "USDT",
"principal": "11667.92600000",
"interest": "5000.00000000"
}
}
}
]
}

Response detail description:

ParameterTypeDescription
totalLONGTotal risk unit number
rowsOBJECT ARRAY
→ groupIdLongRisk unit unique identifier
→ startLtvLONGThe initial LTV for the risk unit
→ endLtvLONGThe current LTV for the risk unit
→ liquidationStartTimeLongLiquidation start timestamp (milliseconds)
→ liquidationEndTimeLongLiquidation end timestamp (milliseconds)
→ totalNetEquityString∑Equity in all PM sub account + ( ∑Collateral Value - ∑(Liability + Interest) in all Cross Margin account + Free accepted tokens in spot
→totalMaintenanceMarginStringAggregated Maintenance Margin
→ totalLiabilityStringOutstanding Loan Principal + Outstanding Loan Interest
liquidationSnapshotOBJECT ARRAY
snapshotsOBJECT ARRAY
→ subEmailStringSub account registered email
→ memberTypeStringmemberType can be "CREDIT" or "COLLATERAL"
→ walletTypeStringAccount type for sub account . It can be "PORTFOLIO_MARGIN", "SPOT" or "CROSS_MARGIN"
→ netEquityStringNet equity in wallet
→ maintainMarginStringMaintenance margin required
liabilitiesOBJECT ARRAY
→ assetNameStringAsset name
→ principalStringOutstanding loan principal amount
→ interestStringOutstanding loan interest